Class | DBI::DBD::SQLRelay::Database
In: | SQLRelay.rb
Parent: | DBI::BaseDatabase

### Methods

[]= commit disconnect ping prepare rollback

### Public Instance methods

[]=(attr, value)

Stores "value" associated with key "attr". sqlrelay_debug=true or false will toggle debugging and AutoCommit=true or false will toggle autocommit.

commit()

Issues a commit. Raises a DBI::ProgrammingError if it failed.

disconnect()

Ends the current session.

ping()

Returns true if the database is up and false if it‘s down.

prepare(statement)

Prepare to execute query. Returns a Statement.

rollback()

Issues a rollback. Raises a DBI::ProgrammingError if it failed.

[Validate]